#include <bits/stdc++.h>
#define ll long long

using namespace std;

int a[2*100001];
int n;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    cin >> n;

    for (int i = 0; i < 2*n; i++) {
        a[i] = i&1 ? (2*n-i/2) : (i/2+1);
    }

    
    for (int i = 0; i < 2*n; i++) {
        cout << a[i];
        if (i == n-1 || i == 2*n-1) {
            cout << "\n";
        } else {
            cout << " ";
        }
    }
}